## pacemaker 2.1.6

=== debian/changelog ===
pacemaker (2.1.6-5ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:12:08 +1100

pacemaker (2.1.6-5ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2056077). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh
    - Ignore test results on armhf for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Mar 2024 09:18:27 +0100

pacemaker (2.1.6-5) unstable; urgency=medium

  * [fba0e62] Annotate the versioned dpkg-dev build dependency with time64
  * [2e0223d] New patch: Always format time_t values as long long
  * [8b575c7] pkgconf superseded pkg-config

 -- Ferenc Wágner <wferi@debian.org>  Fri, 22 Mar 2024 17:48:44 +0100

pacemaker (2.1.6-4.1ubuntu4) noble; urgency=medium

  * Ignore test results on armhf for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2024 15:53:54 +0100

pacemaker (2.1.6-4.1ubuntu3) noble; urgency=medium

  * Fix build on 32bit time64_t archs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2024 14:33:46 +0100

pacemaker (2.1.6-4.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:26:12 +0000

pacemaker (2.1.6-4.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2056077). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 08 Mar 2024 15:45:46 -0300

pacemaker (2.1.6-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063194

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:12:54 +0000

pacemaker (2.1.6-4ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:34:09 +0000

pacemaker (2.1.6-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040408). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 03 Jan 2024 10:59:34 -0300

pacemaker (2.1.6-4) unstable; urgency=medium

  * [223c6e7] Do not fail "arch any only" builds.
    The pacemaker-cts binary package is architecture-independent, it can't
    be fixed up when we build architecture dependent packages only.
  * Upload to unstable.

 -- Ferenc Wágner <wferi@debian.org>  Fri, 29 Sep 2023 00:30:33 +0200

pacemaker (2.1.6-3) experimental; urgency=medium

  [ Helmut Grohne ]
  * [efbad8e] Fix FTBFS when systemd.pc changes systemdsystemunitdir
    (Closes: #1052705)

  [ Ferenc Wágner ]
  * [43311e3] Ship the CTS as a new pacemaker-cts binary package.
    The previous skip was incomplete, because the files under the cts
    directory which were generated by configure were not cleaned, leading
    to rebuild issues (see #1047155).  Now that we already ship
    python3-pacemaker, the infrastructure is in place to easily ship
    another Python package for completeness.
  * [ddf07e7] New patch: cts: do not capture the build directory
  * [1b7616e] New patch: python: clean up the __pycache__ directories
    (Closes: #1047155)

 -- Ferenc Wágner <wferi@debian.org>  Thu, 28 Sep 2023 10:14:48 +0200

pacemaker (2.1.6-2) experimental; urgency=medium

  * [aaadd9b] python3-pacemaker package for the Python3 API.
    But demote the Python dependencies of the pacemaker package to
    Recommends, since only the fence_legacy and fence_watchdog agents need
    them.
  * [7f4b80e] Recover ordering of Build-Depends

 -- Ferenc Wágner <wferi@debian.org>  Sun, 24 Sep 2023 18:01:07 +0200

pacemaker (2.1.6-1ubuntu1) mantic; urgency=medium


