=== debian/control ===
Source: pacemaker
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
Uploaders:
 Ferenc Wágner <wferi@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 cluster-glue-dev,
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-python3,
# resource agent man pages are generated via:
 docbook-xsl,
# ensure that the time64 feature is enabled:
 dpkg-dev (>= 1.22.5),
 help2man,
 libbz2-dev,
 libcfg-dev (>= 1.99),
 libcmap-dev (>= 1.99),
 libcpg-dev (>= 1.99),
# for unit tests:
 libcmocka-dev,
 libdbus-1-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libltdl-dev,
 libncurses-dev,
 libpam0g-dev,
 libqb-dev (>= 0.17.1),
 libquorum-dev (>= 1.99),
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 pkgconf,
# 'pacemaker' is a pure Python package:
 python3-all,
 systemd [linux-any],
 uuid-dev,
# detecting docbook-xsl needs:
 xsltproc,
Build-Depends-Indep:
 asciidoc,
 dh-sequence-sphinxdoc,
 doxygen,
 graphviz,
 inkscape,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.clusterlabs.org/
Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
X-Common-Description: At its core, Pacemaker is a distributed finite state
 machine capable of co-ordinating the startup and recovery of inter-related
 services across a set of machines.
 .
 Pacemaker understands many different resource types (OCF, SYSV, systemd) and
 can accurately model the relationships between them (colocation, ordering).
 .
 It can even use technology such as Docker to automatically isolate the
 resources managed by the cluster.

Package: pacemaker-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: cluster resource manager common files
 ${S:X-Common-Description}
 .
 This package contains common infrastructure and data files for the
 Pacemaker daemons and utilities.

Package: pacemaker-resource-agents
Architecture: all
Depends:
# some agents use top:
 procps,
 resource-agents-base,
 ${misc:Depends},
Recommends:
# the ClusterMon and Stateful agents use crm_* utilities:
 pacemaker-cli-utils,
Suggests:
 resource-agents-extra
Description: cluster resource manager general resource agents
 ${S:X-Common-Description}
 .
 This package contains Pacemaker resource agents not requiring access
 to the cluster stack, thus also usable by the remote daemon.

Package: pacemaker
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 corosync (>= 1.99),
 pcs,
 dbus,
 pacemaker-common,
 pacemaker-resource-agents,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fence-agents-base,
 pacemaker-cli-utils,
# trigger dh_python3 for fence_legacy and fence_watchdog:
 ${python3:Depends},
# fence_legacy also needs:
 python3-pacemaker (= ${source:Version}),
Suggests:
# the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
 cluster-glue,
 crmsh,
 fence-agents-extra,
Conflicts:
 pacemaker-remote,
Description: cluster resource manager
 ${S:X-Common-Description}
 .
 This package contains the Pacemaker daemons directly interacting with
 the cluster stack.

Package: pacemaker-cli-utils
Architecture: any
Depends:
 pacemaker | pacemaker-remote,
# cibsecret sources ocf-shellfuncs:
 resource-agents-base,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
# took over cibsecret from cluster-glue:
 cluster-glue (<< 1.0.12-18~),
# took over crm_attribute:
 pacemaker (<< 2.1.4-1~),
Replaces:
 cluster-glue (<< 1.0.12-18~),
 pacemaker (<< 2.1.4-1~),
Description: cluster resource manager command line utilities
 ${S:X-Common-Description}
 .
 This package contains those command line utilities of the Pacemaker
 cluster manager which work on remote nodes as well.

Package: pacemaker-remote
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 pacemaker-common,
 pacemaker-resource-agents,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pacemaker-cli-utils,
Conflicts:
 pacemaker,
Description: cluster resource manager proxy daemon for remote nodes
 ${S:X-Common-Description}
 .
 This package contains the Pacemaker proxy daemon, which simulates cluster
 services on a node not running the cluster stack.  Such "remote" nodes can
 run resources but don't participate in the quorum.  This package is
 mutually exclusive with Pacemaker proper.

Package: pacemaker-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: cluster resource manager HTML documentation
 ${S:X-Common-Description}
 .
 This package contains
  * the Pacemaker API documentation generated by Doxygen,
  * the Clusters from Scratch book,
  * the Pacemaker Administration book,
  * the Pacemaker Development book,
  * the Pacemaker Explained book and
  * the Pacemaker Remote book.

Package: libcib27t64
Provides: ${t64:Provides}
Replaces: libcib27
Breaks: libcib27 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager CIB library
 ${S:X-Common-Description}
 .
 This package contains the Cluster Information Base library.

Package: libcrmcluster29t64
Provides: ${t64:Provides}
Replaces: libcrmcluster29
Breaks: libcrmcluster29 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager cluster library
 ${S:X-Common-Description}
 .
 This package contains the cluster library.

Package: libcrmcommon34t64
Provides: ${t64:Provides}
Replaces: libcrmcommon34
Breaks: libcrmcommon34 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager common library
 ${S:X-Common-Description}
 .
 This package contains the common library.

Package: libcrmservice28t64
Provides: ${t64:Provides}
Replaces: libcrmservice28
Breaks: libcrmservice28 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager service library
 ${S:X-Common-Description}
 .
 This package contains the service library.

Package: liblrmd28t64
Provides: ${t64:Provides}
Replaces: liblrmd28
Breaks: liblrmd28 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager LRMD library
 ${S:X-Common-Description}
 .
 This package contains the Local Resource Manager Daemon library.

Package: libpacemaker1t64
Provides: ${t64:Provides}
Replaces: libpacemaker1
Breaks: libpacemaker1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager utility library
 ${S:X-Common-Description}
 .
 This package contains the utility library resulting from the merge
 of libpengine and libtransitioner.

Package: libpe-rules26t64
Provides: ${t64:Provides}
Replaces: libpe-rules26
Breaks: libpe-rules26 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager Policy Engine rules library
 ${S:X-Common-Description}
 .
 This package contains the Policy Engine rules library.

Package: libpe-status28t64
Provides: ${t64:Provides}
Replaces: libpe-status28
Breaks: libpe-status28 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager Policy Engine status library
 ${S:X-Common-Description}
 .
 This package contains the Policy Engine status library.

Package: libstonithd26t64
Provides: ${t64:Provides}
Replaces: libstonithd26
Breaks: libstonithd26 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager STONITH daemon library
 ${S:X-Common-Description}
 .
 This package contains the STONITH daemon library.

Package: pacemaker-cts
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 pacemaker-cli-utils (>= ${source:Version}),
 procps,
 psmisc,
 python3-pacemaker (= ${source:Version}),
 python3-psutil,
 python3-systemd,
Description: test framework for cluster-related technologies like Pacemaker
 ${S:X-Common-Description}
 .
 This package contains the Cluster Test Framework.

Package: pacemaker-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 libcib27t64 (= ${binary:Version}),
 libcrmcluster29t64 (= ${binary:Version}),
 libcrmcommon34t64 (= ${binary:Version}),
 libcrmservice28t64 (= ${binary:Version}),
 liblrmd28t64 (= ${binary:Version}),
 libpacemaker1t64 (= ${binary:Version}),
 libpe-rules26t64 (= ${binary:Version}),
 libpe-status28t64 (= ${binary:Version}),
 libstonithd26t64 (= ${binary:Version}),
# we include headers from these:
 libcpg-dev,
 libglib2.0-dev,
 libqb-dev,
 libxml2-dev,
# private pkg-config dependencies are only needed for static linking,
# which we don't support, but pkg-config doesn't know this, so:
 libcfg-dev,
 libcmap-dev,
 libdbus-1-dev,
 libgnutls28-dev,
 libncurses-dev,
 libquorum-dev,
 libxslt1-dev,
 uuid-dev,
Description: cluster resource manager development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Pacemaker libraries.

Package: python3-pacemaker
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Pacemaker API for Python3
 ${S:X-Common-Description}
 .
 This package contains the Python 3 API.
