## pacemaker 2.1.8

=== debian/changelog ===
pacemaker (2.1.8-1ubuntu2) plucky; urgency=medium

  * d/p/fix-o3-Wformat-overflow.patch: fix FTBFS format-overflow Werror

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 09 Jan 2025 12:03:32 -0300

pacemaker (2.1.8-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2079939). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on
      resource-agents-base.  And also suggest resource-agents-extra with
      non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node
      name.  Previously the default node name was hardcoded in the
      config file as node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents was split into a -base and an -extra package.
    - d/control: depend on pcs and suggest crmsh
    - d/p/cts-no-build-dir.patch: allow tests to run with undefined _BUILD_DIR
      configuration
    - d/t/{control,cts}: run Pacemaker Cluster Test Suite tests

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 10 Sep 2024 11:42:26 -0300

pacemaker (2.1.8-1) unstable; urgency=medium

  * [b662350] New upstream release (2.1.8)
  * [2c52e81] Refresh our patches
  * [708acff] Update symbols files
  * [9652a53] Lintian 2.117.1+ knows about the t64 transition

 -- Ferenc Wágner <wferi@debian.org>  Sat, 17 Aug 2024 19:23:22 +0200

pacemaker (2.1.8~rc4-1ubuntu2) oracular; urgency=medium

  * d/p/cts-no-build-dir.patch: allow tests to run with undefined _BUILD_DIR
    configuration
  * d/t/{control,cts}: run Pacemaker Cluster Test Suite tests

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 20 Aug 2024 15:58:10 -0300

pacemaker (2.1.8~rc4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064437). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on
      resource-agents-base.  And also suggest resource-agents-extra with
      non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node
      name.  Previously the default node name was hardcoded in the
      config file as node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents was split into a -base and an -extra package.
    - d/control: depend on pcs and suggest crmsh
  * Dropped changes:
    - Ignore test results on armhf for now

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 12 Aug 2024 11:43:26 -0300

pacemaker (2.1.8~rc4-1) unstable; urgency=medium

  * [c6a6197] New upstream pre-release (2.1.8~rc4)
  * [1b0727c] Update symbols files

 -- Ferenc Wágner <wferi@debian.org>  Sat, 20 Jul 2024 21:19:04 +0200

pacemaker (2.1.8~rc3-1) unstable; urgency=medium

  * [13118a0] New upstream pre-release (2.1.8~rc3) (Closes: #1073592)
  * [627228b] Refresh our patches

 -- Ferenc Wágner <wferi@debian.org>  Sun, 07 Jul 2024 17:58:01 +0200

pacemaker (2.1.8~rc1-1) unstable; urgency=medium

  * [ab5ed61] New upstream pre-release (2.1.8~rc1)
  * [c477642] Drop upstreamed patch, refresh the rest
  * [26aa14e] Update Standards-Version to 4.7.0 (no changes required)
  * [00be940] Switch Build-Depends to systemd-dev.
    We only needed the systemd build dependency to get the paths defined
    in systemd.pc.  Now these are available in an architecture-independent
    package, which means we can stop relying on dh-exec as well.
    (Closes: #1060623)
  * [dc737d8] Ship the new pacemaker-based.7 man page
  * [f193828] Update symbols files.
    Before 2.1.8 both libpe-rules and libpe-status allocated the
    was_processing_error and was_processing_warning symbols (global
    variables).  In 2.1.8 these symbols were moved into libcrmcommon,
    which is a common dependency of libpe-rules and libpe-status.  Since
    library dependencies are automatically loaded, this does not
    constitute an ABI break.
  * [42461ae] Update copyright years
  * [bbf8d26] Specify the System V init directory.
    Autodetection in configure.ac is based on presence, but modern build
    containers can miss /etc/init.d.
  * [0d1a7f1] Explicitly enable systemd support.
    Autodetection in configure.ac depends on live DBus or systemctl, but
    modern build containers can miss those.

 -- Ferenc Wágner <wferi@debian.org>  Fri, 31 May 2024 19:22:07 +0200

pacemaker (2.1.7-1) unstable; urgency=medium

  * [09de5bf] New upstream release (2.1.7) (Closes: #1067626)
  * [ad97704] Refresh our patches
  * [e71f255] Update symbols files (all removed symbols were internal)
  * [13bce35] The cts Python directory is not installed anymore.
    Upstream migrated all of its contents into the _cts module of the
    pacemaker Python package (see commit 1fdea434).

 -- Ferenc Wágner <wferi@debian.org>  Sun, 31 Mar 2024 22:36:16 +0200
