=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends:
  cluster-glue-dev,
  debhelper-compat (= 13),
- dh-exec,
  dh-sequence-python3,
 # resource agent man pages are generated via:
  docbook-xsl,
@@ -36,7 +35,7 @@
  pkgconf,
 # 'pacemaker' is a pure Python package:
  python3-all,
- systemd [linux-any],
+ systemd-dev,
  uuid-dev,
 # detecting docbook-xsl needs:
  xsltproc,
@@ -48,7 +47,7 @@
  inkscape,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
