=== debian/rules ===
--- 
+++ 
@@ -27,13 +27,6 @@
 %:
 	dh $@ $(UBUNTU_EXCLUDES)
 
-override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH),armhf)
-	-dh_auto_test
-else
-	dh_auto_test
-endif
-
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
@@ -42,8 +35,10 @@
 	dh_auto_configure -- --disable-static \
 		BASH_PATH=/bin/bash \
 		PYTHON=/usr/bin/python3 \
+		--enable-systemd \
 		--with-cibsecrets \
 		--with-configdir=/etc/default \
+		--with-initdir=/etc/init.d \
 		--libexecdir=/usr/lib
 # because the daemon executables and Nagios plugins don't need multiarch paths
