## pacemaker 3.0.0

=== debian/changelog ===
pacemaker (3.0.0-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110447). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on
      resource-agents-base.  And also suggest resource-agents-extra with
      non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node
      name.  Previously the default node name was hardcoded in the
      config file as node1.
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents was split into a -base and an -extra package.
    - d/control: depend on pcs and suggest crmsh
    - d/p/cts-no-build-dir.patch: allow tests to run with undefined _BUILD_DIR
      configuration
    - d/t/{control,cts}: run Pacemaker Cluster Test Suite tests
    - d/p/fix-o3-Wformat-overflow.patch: fix FTBFS format-overflow Werror
      on ppc64el
  * New changes:
    - Add fixes for libxml2 (LP: #2111800):
      + d/p/Drop-xmlSetBufferAllocationScheme.patch: Drop the deprecated
        call to xmlSetBufferAllocationScheme
      + d/p/libcrmcommon-Call-correct-setup-functions.patch: Refactor
        calls to pcmk__xml_init and pcmk__xml_cleanup functions
      + d/p/Drop-pcmk__xml_cleanup.patch: Change the cleanup function
        call to others which make more sense
      + d/p/libcrmcommon-Use-more-correct-setup-teardown.patch: Refactor
        other calls to pcmk__schema_init and pcmk__schema_cleanup
      + d/p/Drop-pcmk__xml_cleanup.patch: Change the init function
        call to others which make more sense
      + d/libcrmcommon68.symbols: update symbols file
  * Dropped changes:
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
      [ Solved in d/p/fix-o3-Wformat-overflow.patch, already forwarded ]
    - d/rules: Build with -Wno-error=deprecated-declarations for libxml 2.14.x.
      [ Deprecated declarations removed by the libxml2 patches introduced in
      this merge ]
    - d/rules: Ignore test results for a first build.
      [ Tests fixed by the libxml2 patches introduced in this merge ]

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Mon, 16 Jun 2025 15:34:30 -0300

pacemaker (3.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Fri, 14 Mar 2025 17:41:33 +0100

pacemaker (3.0.0-1) experimental; urgency=medium

  * [a951952] New upstream release (3.0.0)
  * [b7d66b3] Drop obsolete patch, refresh the rest.
    Upstream stopped generating the PNG files from their SVG sources
    during build, so Inkscape is not run by the build system since commit
    2530b110eab3147d33ae0596d9d28bc9c9a85fbe.
  * [0ca671f] The upstream build systemd does not use Inkscape anymore
  * [f041efa] Update copyright years
  * [d7ae9ca] Pacemaker now requires libqb >= 1.0.1 for better logging
  * [c5cc0c8] Ship new component of the pacemaker Python package
  * [7c646ee] New patch: Find libcrmcommon without embedding the build path
  * [4f987ff] Upstream dropped the o2cb resource agent.
    Commit: 399df10d8a
  * [ef16c59] Upstream dropped the pacemaker_remoted symlink.
    Commit: 6468721da
  * [01db599] Upstream dropped the Pacemaker_Remote book.
    The configuration reference portion has been moved to Pacemaker
    Explained, and the walk-throughs have been moved to the ClusterLabs
    wiki (commit 803261889).
  * [a96d86f] Upstream dropped the crm_fencing documentation.
    The updated website no longer references it. Pacemaker Explained's
    fencing chapter is sufficient to replace it (commit e54eac6360).
  * [3f46d53] Upstream dropped cts-log-watcher.
    The new cts-support subcommand does the same thing (commit 0c4def783).
  * [4ba4e08] Follow SONAME changes with the names of the library packages
  * [4ebd355] Update symbols files.
    The dropped symbols do not matter because there were SONAME changes as
    well.  The version numbers of the symbols surviving from the preceding
    libraries were not reset to 3.0.0 to reduce the diff.
  * [1a161a0] Update Standards-Version to 4.7.2 (no changes required)
  * [8c5d70f] Suppress Lintian warnings until dh_sphinxdoc is fixed
  * [2ee82ef] Override false typo alert

 -- Ferenc Wágner <wferi@debian.org>  Thu, 13 Mar 2025 10:06:58 +0100

pacemaker (2.1.8-1ubuntu5) questing; urgency=medium

  * Ignore test results for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 13:24:42 +0200

pacemaker (2.1.8-1ubuntu4) questing; urgency=medium

  * Build with -Wno-error=deprecated-declarations for libxml 2.14.x.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 13:42:24 +0200

pacemaker (2.1.8-1ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 13:42:24 +0200
