=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libltdl-dev,
  libncurses-dev,
  libpam0g-dev,
- libqb-dev (>= 0.17.1),
+ libqb-dev (>= 1.0.1),
  libquorum-dev (>= 1.99),
  libxml2-dev,
  libxml2-utils,
@@ -44,10 +44,9 @@
  dh-sequence-sphinxdoc,
  doxygen,
  graphviz,
- inkscape,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -185,10 +184,7 @@
   * the Pacemaker Explained book and
   * the Pacemaker Remote book.
 
-Package: libcib27t64
-Provides: ${t64:Provides}
-Replaces: libcib27
-Breaks: libcib27 (<< ${source:Version})
+Package: libcib54
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -200,10 +196,7 @@
  .
  This package contains the Cluster Information Base library.
 
-Package: libcrmcluster29t64
-Provides: ${t64:Provides}
-Replaces: libcrmcluster29
-Breaks: libcrmcluster29 (<< ${source:Version})
+Package: libcrmcluster53
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -215,10 +208,7 @@
  .
  This package contains the cluster library.
 
-Package: libcrmcommon34t64
-Provides: ${t64:Provides}
-Replaces: libcrmcommon34
-Breaks: libcrmcommon34 (<< ${source:Version})
+Package: libcrmcommon68
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -230,10 +220,7 @@
  .
  This package contains the common library.
 
-Package: libcrmservice28t64
-Provides: ${t64:Provides}
-Replaces: libcrmservice28
-Breaks: libcrmservice28 (<< ${source:Version})
+Package: libcrmservice53
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -245,10 +232,7 @@
  .
  This package contains the service library.
 
-Package: liblrmd28t64
-Provides: ${t64:Provides}
-Replaces: liblrmd28
-Breaks: liblrmd28 (<< ${source:Version})
+Package: liblrmd52
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -260,10 +244,7 @@
  .
  This package contains the Local Resource Manager Daemon library.
 
-Package: libpacemaker1t64
-Provides: ${t64:Provides}
-Replaces: libpacemaker1
-Breaks: libpacemaker1 (<< ${source:Version})
+Package: libpacemaker30
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -276,10 +257,7 @@
  This package contains the utility library resulting from the merge
  of libpengine and libtransitioner.
 
-Package: libpe-rules26t64
-Provides: ${t64:Provides}
-Replaces: libpe-rules26
-Breaks: libpe-rules26 (<< ${source:Version})
+Package: libpe-rules51
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -291,10 +269,7 @@
  .
  This package contains the Policy Engine rules library.
 
-Package: libpe-status28t64
-Provides: ${t64:Provides}
-Replaces: libpe-status28
-Breaks: libpe-status28 (<< ${source:Version})
+Package: libpe-status56
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -306,10 +281,7 @@
  .
  This package contains the Policy Engine status library.
 
-Package: libstonithd26t64
-Provides: ${t64:Provides}
-Replaces: libstonithd26
-Breaks: libstonithd26 (<< ${source:Version})
+Package: libstonithd56
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -344,15 +316,15 @@
 Section: libdevel
 Depends:
  ${misc:Depends},
- libcib27t64 (= ${binary:Version}),
- libcrmcluster29t64 (= ${binary:Version}),
- libcrmcommon34t64 (= ${binary:Version}),
- libcrmservice28t64 (= ${binary:Version}),
- liblrmd28t64 (= ${binary:Version}),
- libpacemaker1t64 (= ${binary:Version}),
- libpe-rules26t64 (= ${binary:Version}),
- libpe-status28t64 (= ${binary:Version}),
- libstonithd26t64 (= ${binary:Version}),
+ libcib54 (= ${binary:Version}),
+ libcrmcluster53 (= ${binary:Version}),
+ libcrmcommon68 (= ${binary:Version}),
+ libcrmservice53 (= ${binary:Version}),
+ liblrmd52 (= ${binary:Version}),
+ libpacemaker30 (= ${binary:Version}),
+ libpe-rules51 (= ${binary:Version}),
+ libpe-status56 (= ${binary:Version}),
+ libstonithd56 (= ${binary:Version}),
 # we include headers from these:
  libcpg-dev,
  libglib2.0-dev,
