=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,6 @@
 	-Npacemaker-cli-utils \
 	-Npacemaker-remote \
 	-Npacemaker-resource-agents
-endif
-
-# Fix gcc10 warnings as errors while upstream doesn't catch up
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
-export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 endif
 
 %:
