=== debian/tests/control ===
Tests: pacemaker
Depends: pacemaker, pacemaker-cli-utils
Restrictions: needs-root, isolation-container, skippable

Tests: pkg-config
Depends: pacemaker-dev, pkg-config
Restrictions: superficial

Tests: cts
Depends: pacemaker-cts, libxml2-utils, resource-agents-extra
Restrictions: needs-root, isolation-container, skippable
# attrd tests are currently failing in armhf due to a pointer being set to
# null. Investigation is still pending for this one
Architecture: !armhf
