## pacemaker 3.0.1

=== debian/changelog ===
pacemaker (3.0.1-1) unstable; urgency=medium

  * [585a5b6] New upstream release (3.0.1) (Closes: #1106647)
  * [6589f5d] Drop asciidoc reproducibility patch, refresh the rest.
    According to upstream commit 3809b5d89dd3e6072ab1660dc133e38e90e3a508
    asciidoc has not been used since 2.1.9.
  * [604fcbb] Update symbols files (all removed symbols were internal)
  * [079c66f] Replace the old postal address of the FSF with its HTTP link

 -- Ferenc Wágner <wferi@debian.org>  Sat, 16 Aug 2025 18:14:11 +0200
