=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -76,13 +75,11 @@
 Depends:
 # some agents use top:
  procps,
- resource-agents-base,
+ resource-agents,
  ${misc:Depends},
 Recommends:
 # the ClusterMon and Stateful agents use crm_* utilities:
  pacemaker-cli-utils,
-Suggests:
- resource-agents-extra
 Description: cluster resource manager general resource agents
  ${S:X-Common-Description}
  .
@@ -95,14 +92,13 @@
  ${misc:Pre-Depends},
 Depends:
  corosync (>= 1.99),
- pcs,
  dbus,
  pacemaker-common,
  pacemaker-resource-agents,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- fence-agents-base,
+ fence-agents,
  pacemaker-cli-utils,
 # trigger dh_python3 for fence_legacy and fence_watchdog:
  ${python3:Depends},
@@ -111,8 +107,7 @@
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
- crmsh,
- fence-agents-extra,
+ crmsh | pcs,
 Conflicts:
  pacemaker-remote,
 Description: cluster resource manager
@@ -126,7 +121,7 @@
 Depends:
  pacemaker | pacemaker-remote,
 # cibsecret sources ocf-shellfuncs:
- resource-agents-base,
+ resource-agents,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
